package util

import (
	"encoding/json"
	"main/kinglong/common/log"
	"net"
)

func SendJsonByTcp(conn net.Conn, data string) {
	if err := json.NewEncoder(conn).Encode(data); err != nil {
		log.GlobalLogger.Error("发送tcp数据", data, "失败：", err)
		return
	} else {
		log.GlobalLogger.Info("发送tcp数据", data, "成功：", err)
	}
}
